from pprint import pprint
import json
import openpyxl

workbook = openpyxl.load_workbook('単票.xlsx')
sheet = workbook.worksheets[0]
dictOutput = {}
for row_idx, row in enumerate(sheet.iter_rows(), 1):
    for col_idx, cell in enumerate(row, 1):
        if cell.value is not None:
            if cell.value.startswith("#"):
                # print(
                #     f"行: {row_idx}, 列: {col_idx}, 値: {cell.value}, セルのアドレス: {cell.coordinate}")
                dictOutput[cell.value[1:]] = cell.coordinate

pprint(dictOutput)


with open('output.json', 'w', encoding='utf-8') as file:
    json.dump(dictOutput, file, ensure_ascii=False, indent=4)

keys_list = list(dictOutput.keys())

with open('list.json', 'w', encoding='utf-8') as file:
    json.dump(keys_list, file, ensure_ascii=False, indent=4)
